<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:30 CEST 2019 -->
<title>FBCallableStatement (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBCallableStatement (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FBCachedBlob.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FBClob.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FBCallableStatement.html" target="_top">Frames</a></li>
<li><a href="FBCallableStatement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.firebirdsql.jdbc.FBStatement">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.jdbc.AbstractCallableStatement">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Class FBCallableStatement" class="title">Class FBCallableStatement</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../org/firebirdsql/jdbc/FBStatement.html" title="class in org.firebirdsql.jdbc">org.firebirdsql.jdbc.FBStatement</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html" title="class in org.firebirdsql.jdbc">org.firebirdsql.jdbc.AbstractPreparedStatement</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../org/firebirdsql/jdbc/FBPreparedStatement.html" title="class in org.firebirdsql.jdbc">org.firebirdsql.jdbc.FBPreparedStatement</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html" title="class in org.firebirdsql.jdbc">org.firebirdsql.jdbc.AbstractCallableStatement</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jdbc.FBCallableStatement</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql">CallableStatement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdCallableStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdCallableStatement</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdPreparedStatement</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdStatement</a>, <a href="../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBCallableStatement</span>
extends <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html" title="class in org.firebirdsql.jdbc">AbstractCallableStatement</a></pre>
<div class="block">JDBC 4.2 implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> interface.
 <p>
 Contains methods specific to the JDBC 4.2 implementation, or exists if there are methods in higher JDBC versions
 that cannot be defined in JDBC 4.2.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:d_jencks@users.sourceforge.net">David Jencks</a>, <a href="mailto:rrokytskyy@users.sourceforge.net">Roman Rokytskyy</a>, <a href="mailto:sjardine@users.sourceforge.net">Steven Jardine</a>, <a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.firebirdsql.jdbc.FBStatement">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBStatement.html" title="class in org.firebirdsql.jdbc">FBStatement</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/FBStatement.StatementResult.html" title="enum in org.firebirdsql.jdbc">FBStatement.StatementResult</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.jdbc.AbstractCallableStatement">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html" title="class in org.firebirdsql.jdbc">AbstractCallableStatement</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#procedureCall">procedureCall</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#selectableProcedure">selectableProcedure</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.jdbc.AbstractPreparedStatement">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html" title="class in org.firebirdsql.jdbc">AbstractPreparedStatement</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#batchList">batchList</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#METHOD_NOT_SUPPORTED">METHOD_NOT_SUPPORTED</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.jdbc.FBStatement">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBStatement.html" title="class in org.firebirdsql.jdbc">FBStatement</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/FBStatement.html#completed">completed</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#connection">connection</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#currentStatementResult">currentStatementResult</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#fbStatement">fbStatement</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#fetchSize">fetchSize</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#firstWarning">firstWarning</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#gdsHelper">gdsHelper</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#isSingletonResult">isSingletonResult</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#jdbcVersionSupport">jdbcVersionSupport</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#maxRows">maxRows</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#specialResult">specialResult</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#statementListener">statementListener</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.jdbc.FirebirdPreparedStatement">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdPreparedStatement</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_COMMIT">TYPE_COMMIT</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_DDL">TYPE_DDL</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_DELETE">TYPE_DELETE</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_EXEC_PROCEDURE">TYPE_EXEC_PROCEDURE</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_GET_SEGMENT">TYPE_GET_SEGMENT</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_INSERT">TYPE_INSERT</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_PUT_SEGMENT">TYPE_PUT_SEGMENT</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_ROLLBACK">TYPE_ROLLBACK</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_SELECT">TYPE_SELECT</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_SELECT_FOR_UPDATE">TYPE_SELECT_FOR_UPDATE</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_SET_GENERATOR">TYPE_SET_GENERATOR</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_START_TRANS">TYPE_START_TRANS</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#TYPE_UPDATE">TYPE_UPDATE</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.sql.Statement">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#CLOSE_ALL_RESULTS" title="class or interface in java.sql">CLOSE_ALL_RESULTS</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#CLOSE_CURRENT_RESULT" title="class or interface in java.sql">CLOSE_CURRENT_RESULT</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#EXECUTE_FAILED" title="class or interface in java.sql">EXECUTE_FAILED</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#KEEP_CURRENT_RESULT" title="class or interface in java.sql">KEEP_CURRENT_RESULT</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#NO_GENERATED_KEYS" title="class or interface in java.sql">NO_GENERATED_KEYS</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#RETURN_GENERATED_KEYS" title="class or interface in java.sql">RETURN_GENERATED_KEYS</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#SUCCESS_NO_INFO" title="class or interface in java.sql">SUCCESS_NO_INFO</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBCallableStatement.html#FBCallableStatement-org.firebirdsql.gds.impl.GDSHelper-java.lang.String-int-int-int-org.firebirdsql.jdbc.StoredProcedureMetaData-org.firebirdsql.jdbc.FBObjectListener.StatementListener-org.firebirdsql.jdbc.FBObjectListener.BlobListener-">FBCallableStatement</a></span>(<a href="../../../org/firebirdsql/gds/impl/GDSHelper.html" title="class in org.firebirdsql.gds.impl">GDSHelper</a>&nbsp;c,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                   int&nbsp;rsType,
                   int&nbsp;rsConcurrency,
                   int&nbsp;rsHoldability,
                   <a href="../../../org/firebirdsql/jdbc/StoredProcedureMetaData.html" title="interface in org.firebirdsql.jdbc">StoredProcedureMetaData</a>&nbsp;storedProcMetaData,
                   <a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.StatementListener</a>&nbsp;statementListener,
                   <a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.BlobListener</a>&nbsp;blobListener)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBCallableStatement.html#registerOutParameter-int-java.sql.SQLType-">registerOutParameter</a></span>(int&nbsp;parameterIndex,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;sqlType)</code></td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBCallableStatement.html#registerOutParameter-int-java.sql.SQLType-int-">registerOutParameter</a></span>(int&nbsp;parameterIndex,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;sqlType,
                    int&nbsp;scale)</code></td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBCallableStatement.html#registerOutParameter-int-java.sql.SQLType-java.lang.String-">registerOutParameter</a></span>(int&nbsp;parameterIndex,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;sqlType,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;typeName)</code></td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBCallableStatement.html#registerOutParameter-java.lang.String-java.sql.SQLType-">registerOutParameter</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parameterName,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;sqlType)</code></td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBCallableStatement.html#registerOutParameter-java.lang.String-java.sql.SQLType-int-">registerOutParameter</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parameterName,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;sqlType,
                    int&nbsp;scale)</code></td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBCallableStatement.html#registerOutParameter-java.lang.String-java.sql.SQLType-java.lang.String-">registerOutParameter</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parameterName,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;sqlType,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;typeName)</code></td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.jdbc.AbstractCallableStatement">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html" title="class in org.firebirdsql.jdbc">AbstractCallableStatement</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#addBatch--">addBatch</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#assertHasData-java.sql.ResultSet-">assertHasData</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#execute--">execute</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#executeBatchInternal--">executeBatchInternal</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#executeQuery--">executeQuery</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#executeUpdate--">executeUpdate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#findOutParameter-java.lang.String-">findOutParameter</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getAndAssertSingletonResultSet--">getAndAssertSingletonResultSet</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getArray-int-">getArray</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getArray-java.lang.String-">getArray</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getBigDecimal-int-">getBigDecimal</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getBigDecimal-int-int-">getBigDecimal</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getBigDecimal-java.lang.String-">getBigDecimal</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getBlob-int-">getBlob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getBlob-java.lang.String-">getBlob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getBoolean-int-">getBoolean</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getBoolean-java.lang.String-">getBoolean</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getByte-int-">getByte</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getByte-java.lang.String-">getByte</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getBytes-int-">getBytes</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getBytes-java.lang.String-">getBytes</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getCharacterStream-int-">getCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getCharacterStream-java.lang.String-">getCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getClob-int-">getClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getClob-java.lang.String-">getClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getCurrentResultSet--">getCurrentResultSet</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getDate-int-">getDate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getDate-int-java.util.Calendar-">getDate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getDate-java.lang.String-">getDate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getDate-java.lang.String-java.util.Calendar-">getDate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getDouble-int-">getDouble</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getDouble-java.lang.String-">getDouble</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getFloat-int-">getFloat</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getFloat-java.lang.String-">getFloat</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getGeneratedKeys--">getGeneratedKeys</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getInt-int-">getInt</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getInt-java.lang.String-">getInt</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getLong-int-">getLong</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getLong-java.lang.String-">getLong</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getMetaData--">getMetaData</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getNCharacterStream-int-">getNCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getNCharacterStream-java.lang.String-">getNCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getNClob-int-">getNClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getNClob-java.lang.String-">getNClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getNString-int-">getNString</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getNString-java.lang.String-">getNString</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getObject-int-">getObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getObject-int-java.lang.Class-">getObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getObject-int-java.util.Map-">getObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getObject-java.lang.String-">getObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getObject-java.lang.String-java.lang.Class-">getObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getObject-java.lang.String-java.util.Map-">getObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getParameterMetaData--">getParameterMetaData</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getRef-int-">getRef</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getRef-java.lang.String-">getRef</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getResultSet--">getResultSet</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getRowId-int-">getRowId</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getRowId-java.lang.String-">getRowId</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getShort-int-">getShort</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getShort-java.lang.String-">getShort</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getSQLXML-int-">getSQLXML</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getSQLXML-java.lang.String-">getSQLXML</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getString-int-">getString</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getString-java.lang.String-">getString</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getTime-int-">getTime</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getTime-int-java.util.Calendar-">getTime</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getTime-java.lang.String-">getTime</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getTime-java.lang.String-java.util.Calendar-">getTime</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getTimestamp-int-">getTimestamp</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getTimestamp-int-java.util.Calendar-">getTimestamp</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getTimestamp-java.lang.String-">getTimestamp</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getTimestamp-java.lang.String-java.util.Calendar-">getTimestamp</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getURL-int-">getURL</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#getURL-java.lang.String-">getURL</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#internalExecute-boolean-">internalExecute</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#isSelectableProcedure--">isSelectableProcedure</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#prepareFixedStatement-java.lang.String-">prepareFixedStatement</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#registerOutParameter-int-int-">registerOutParameter</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#registerOutParameter-int-int-int-">registerOutParameter</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#registerOutParameter-int-int-java.lang.String-">registerOutParameter</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#registerOutParameter-java.lang.String-int-">registerOutParameter</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#registerOutParameter-java.lang.String-int-int-">registerOutParameter</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#registerOutParameter-java.lang.String-int-java.lang.String-">registerOutParameter</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setAsciiStream-java.lang.String-java.io.InputStream-">setAsciiStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setAsciiStream-java.lang.String-java.io.InputStream-int-">setAsciiStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setAsciiStream-java.lang.String-java.io.InputStream-long-">setAsciiStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBigDecimal-int-java.math.BigDecimal-">setBigDecimal</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBigDecimal-java.lang.String-java.math.BigDecimal-">setBigDecimal</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBinaryStream-int-java.io.InputStream-">setBinaryStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBinaryStream-int-java.io.InputStream-int-">setBinaryStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBinaryStream-int-java.io.InputStream-long-">setBinaryStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBinaryStream-java.lang.String-java.io.InputStream-">setBinaryStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBinaryStream-java.lang.String-java.io.InputStream-int-">setBinaryStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBinaryStream-java.lang.String-java.io.InputStream-long-">setBinaryStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBlob-int-java.sql.Blob-">setBlob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBlob-int-java.io.InputStream-">setBlob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBlob-int-java.io.InputStream-long-">setBlob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBlob-java.lang.String-java.sql.Blob-">setBlob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBlob-java.lang.String-java.io.InputStream-">setBlob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBlob-java.lang.String-java.io.InputStream-long-">setBlob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBoolean-int-boolean-">setBoolean</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBoolean-java.lang.String-boolean-">setBoolean</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setByte-int-byte-">setByte</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setByte-java.lang.String-byte-">setByte</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBytes-int-byte:A-">setBytes</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setBytes-java.lang.String-byte:A-">setBytes</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setCharacterStream-int-java.io.Reader-">setCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setCharacterStream-int-java.io.Reader-int-">setCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setCharacterStream-int-java.io.Reader-long-">setCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setCharacterStream-java.lang.String-java.io.Reader-">setCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setCharacterStream-java.lang.String-java.io.Reader-int-">setCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setCharacterStream-java.lang.String-java.io.Reader-long-">setCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setClob-int-java.sql.Clob-">setClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setClob-int-java.io.Reader-">setClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setClob-int-java.io.Reader-long-">setClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setClob-java.lang.String-java.sql.Clob-">setClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setClob-java.lang.String-java.io.Reader-">setClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setClob-java.lang.String-java.io.Reader-long-">setClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setDate-int-java.sql.Date-">setDate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setDate-int-java.sql.Date-java.util.Calendar-">setDate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setDate-java.lang.String-java.sql.Date-">setDate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setDate-java.lang.String-java.sql.Date-java.util.Calendar-">setDate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setDouble-int-double-">setDouble</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setDouble-java.lang.String-double-">setDouble</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setFloat-int-float-">setFloat</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setFloat-java.lang.String-float-">setFloat</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setInt-int-int-">setInt</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setInt-java.lang.String-int-">setInt</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setLong-int-long-">setLong</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setLong-java.lang.String-long-">setLong</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setNCharacterStream-java.lang.String-java.io.Reader-">setNCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setNCharacterStream-java.lang.String-java.io.Reader-long-">setNCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setNClob-java.lang.String-java.sql.NClob-">setNClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setNClob-java.lang.String-java.io.Reader-">setNClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setNClob-java.lang.String-java.io.Reader-long-">setNClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setNString-java.lang.String-java.lang.String-">setNString</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setNull-int-int-">setNull</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setNull-int-int-java.lang.String-">setNull</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setNull-java.lang.String-int-">setNull</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setNull-java.lang.String-int-java.lang.String-">setNull</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setObject-int-java.lang.Object-">setObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setObject-int-java.lang.Object-int-">setObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setObject-int-java.lang.Object-int-int-">setObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setObject-java.lang.String-java.lang.Object-">setObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setObject-java.lang.String-java.lang.Object-int-">setObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setObject-java.lang.String-java.lang.Object-int-int-">setObject</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setRequiredTypes--">setRequiredTypes</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setRowId-java.lang.String-java.sql.RowId-">setRowId</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setSelectableProcedure-boolean-">setSelectableProcedure</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setShort-int-short-">setShort</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setShort-java.lang.String-short-">setShort</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setSQLXML-java.lang.String-java.sql.SQLXML-">setSQLXML</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setString-int-java.lang.String-">setString</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setString-java.lang.String-java.lang.String-">setString</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setTime-int-java.sql.Time-">setTime</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setTime-int-java.sql.Time-java.util.Calendar-">setTime</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setTime-java.lang.String-java.sql.Time-">setTime</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setTime-java.lang.String-java.sql.Time-java.util.Calendar-">setTime</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setTimestamp-int-java.sql.Timestamp-">setTimestamp</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setTimestamp-int-java.sql.Timestamp-java.util.Calendar-">setTimestamp</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setTimestamp-java.lang.String-java.sql.Timestamp-">setTimestamp</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setTimestamp-java.lang.String-java.sql.Timestamp-java.util.Calendar-">setTimestamp</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#setURL-java.lang.String-java.net.URL-">setURL</a>, <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#wasNull--">wasNull</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.jdbc.FBPreparedStatement">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBPreparedStatement.html" title="class in org.firebirdsql.jdbc">FBPreparedStatement</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/FBPreparedStatement.html#setObject-int-java.lang.Object-java.sql.SQLType-">setObject</a>, <a href="../../../org/firebirdsql/jdbc/FBPreparedStatement.html#setObject-int-java.lang.Object-java.sql.SQLType-int-">setObject</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.jdbc.AbstractPreparedStatement">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html" title="class in org.firebirdsql.jdbc">AbstractPreparedStatement</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#addBatch-java.lang.String-">addBatch</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#clearBatch--">clearBatch</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#clearParameters--">clearParameters</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#completeStatement-org.firebirdsql.jdbc.CompletionReason-">completeStatement</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#execute-java.lang.String-">execute</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#execute-java.lang.String-int-">execute</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#execute-java.lang.String-int:A-">execute</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#execute-java.lang.String-java.lang.String:A-">execute</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#executeLargeUpdate--">executeLargeUpdate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#executeQuery-java.lang.String-">executeQuery</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#executeUpdate-java.lang.String-">executeUpdate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#executeUpdate-java.lang.String-int-">executeUpdate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#executeUpdate-java.lang.String-int:A-">executeUpdate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#executeUpdate-java.lang.String-java.lang.String:A-">executeUpdate</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#getExecutionPlan--">getExecutionPlan</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#getExplainedExecutionPlan--">getExplainedExecutionPlan</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#getField-int-">getField</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#getFirebirdParameterMetaData--">getFirebirdParameterMetaData</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#getParameterDescriptor-int-">getParameterDescriptor</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#getStatementType--">getStatementType</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#isGeneratedKeyQuery--">isGeneratedKeyQuery</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#notifyStatementCompleted-boolean-">notifyStatementCompleted</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#setArray-int-java.sql.Array-">setArray</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#setAsciiStream-int-java.io.InputStream-">setAsciiStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#setAsciiStream-int-java.io.InputStream-int-">setAsciiStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#setAsciiStream-int-java.io.InputStream-long-">setAsciiStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#setNCharacterStream-int-java.io.Reader-">setNCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#setNCharacterStream-int-java.io.Reader-long-">setNCharacterStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#setNClob-int-java.sql.NClob-">setNClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#setNClob-int-java.io.Reader-">setNClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#setNClob-int-java.io.Reader-long-">setNClob</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#setNString-int-java.lang.String-">setNString</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#setRef-int-java.sql.Ref-">setRef</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#setRowId-int-java.sql.RowId-">setRowId</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#setSQLXML-int-java.sql.SQLXML-">setSQLXML</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#setStringForced-int-java.lang.String-">setStringForced</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#setUnicodeStream-int-java.io.InputStream-int-">setUnicodeStream</a>, <a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html#setURL-int-java.net.URL-">setURL</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.jdbc.FBStatement">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBStatement.html" title="class in org.firebirdsql.jdbc">FBStatement</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/FBStatement.html#addWarning-java.sql.SQLWarning-">addWarning</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#cancel--">cancel</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#checkValidity--">checkValidity</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#clearWarnings--">clearWarnings</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#close--">close</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#closeOnCompletion--">closeOnCompletion</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#completeStatement--">completeStatement</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#createStatementListener--">createStatementListener</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#enquoteIdentifier-java.lang.String-boolean-">enquoteIdentifier</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#enquoteLiteral-java.lang.String-">enquoteLiteral</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#enquoteNCharLiteral-java.lang.String-">enquoteNCharLiteral</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#equals-java.lang.Object-">equals</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#executeBatch--">executeBatch</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#executeImpl-java.lang.String-">executeImpl</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#executeLargeBatch--">executeLargeBatch</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#executeLargeUpdate-java.lang.String-">executeLargeUpdate</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#executeLargeUpdate-java.lang.String-int-">executeLargeUpdate</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#executeLargeUpdate-java.lang.String-int:A-">executeLargeUpdate</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#executeLargeUpdate-java.lang.String-java.lang.String:A-">executeLargeUpdate</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#finalize--">finalize</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#forgetResultSet--">forgetResultSet</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getConnection--">getConnection</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getDeletedRowsCount--">getDeletedRowsCount</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getFetchDirection--">getFetchDirection</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getFetchSize--">getFetchSize</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getInsertedRowsCount--">getInsertedRowsCount</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getLargeMaxRows--">getLargeMaxRows</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getLargeUpdateCount--">getLargeUpdateCount</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getLastExecutionPlan--">getLastExecutionPlan</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getLastExplainedExecutionPlan--">getLastExplainedExecutionPlan</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getLocalStatementId--">getLocalStatementId</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getMaxFieldSize--">getMaxFieldSize</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getMaxRows--">getMaxRows</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getMoreResults--">getMoreResults</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getMoreResults-int-">getMoreResults</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getQueryTimeout--">getQueryTimeout</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getResultSet-boolean-">getResultSet</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getResultSetConcurrency--">getResultSetConcurrency</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getResultSetHoldability--">getResultSetHoldability</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getResultSetType--">getResultSetType</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getUpdateCount--">getUpdateCount</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getUpdatedRowsCount--">getUpdatedRowsCount</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#getWarnings--">getWarnings</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#hashCode--">hashCode</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#hasOpenResultSet--">hasOpenResultSet</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#internalExecute-java.lang.String-">internalExecute</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#isClosed--">isClosed</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#isCloseOnCompletion--">isCloseOnCompletion</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#isExecuteProcedureStatement-java.lang.String-">isExecuteProcedureStatement</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#isPoolable--">isPoolable</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#isSimpleIdentifier-java.lang.String-">isSimpleIdentifier</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#isValid--">isValid</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#isWrapperFor-java.lang.Class-">isWrapperFor</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#nativeSQL-java.lang.String-">nativeSQL</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#notifyStatementCompleted--">notifyStatementCompleted</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#notifyStatementStarted--">notifyStatementStarted</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#notifyStatementStarted-boolean-">notifyStatementStarted</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#setCursorName-java.lang.String-">setCursorName</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#setEscapeProcessing-boolean-">setEscapeProcessing</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#setFetchDirection-int-">setFetchDirection</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#setFetchSize-int-">setFetchSize</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#setLargeMaxRows-long-">setLargeMaxRows</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#setMaxFieldSize-int-">setMaxFieldSize</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#setMaxRows-int-">setMaxRows</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#setPoolable-boolean-">setPoolable</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#setQueryTimeout-int-">setQueryTimeout</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#toArray-java.util.Collection-">toArray</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#toLargeArray-java.util.Collection-">toLargeArray</a>, <a href="../../../org/firebirdsql/jdbc/FBStatement.html#unwrap-java.lang.Class-">unwrap</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.jdbc.FirebirdPreparedStatement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdPreparedStatement</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#getExecutionPlan--">getExecutionPlan</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#getExplainedExecutionPlan--">getExplainedExecutionPlan</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html#getStatementType--">getStatementType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.jdbc.FirebirdStatement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdStatement</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#getDeletedRowsCount--">getDeletedRowsCount</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#getInsertedRowsCount--">getInsertedRowsCount</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#getLastExecutionPlan--">getLastExecutionPlan</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#getLastExplainedExecutionPlan--">getLastExplainedExecutionPlan</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#getLocalStatementId--">getLocalStatementId</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#getUpdatedRowsCount--">getUpdatedRowsCount</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#hasOpenResultSet--">hasOpenResultSet</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html#isValid--">isValid</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.CallableStatement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql">CallableStatement</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true#setObject-java.lang.String-java.lang.Object-java.sql.SQLType-" title="class or interface in java.sql">setObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true#setObject-java.lang.String-java.lang.Object-java.sql.SQLType-int-" title="class or interface in java.sql">setObject</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.PreparedStatement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#clearParameters--" title="class or interface in java.sql">clearParameters</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#executeLargeUpdate--" title="class or interface in java.sql">executeLargeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setArray-int-java.sql.Array-" title="class or interface in java.sql">setArray</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setAsciiStream-int-java.io.InputStream-" title="class or interface in java.sql">setAsciiStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setAsciiStream-int-java.io.InputStream-int-" title="class or interface in java.sql">setAsciiStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setAsciiStream-int-java.io.InputStream-long-" title="class or interface in java.sql">setAsciiStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setNCharacterStream-int-java.io.Reader-" title="class or interface in java.sql">setNCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setNCharacterStream-int-java.io.Reader-long-" title="class or interface in java.sql">setNCharacterStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setNClob-int-java.sql.NClob-" title="class or interface in java.sql">setNClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setNClob-int-java.io.Reader-" title="class or interface in java.sql">setNClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setNClob-int-java.io.Reader-long-" title="class or interface in java.sql">setNClob</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setNString-int-java.lang.String-" title="class or interface in java.sql">setNString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setObject-int-java.lang.Object-java.sql.SQLType-" title="class or interface in java.sql">setObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setObject-int-java.lang.Object-java.sql.SQLType-int-" title="class or interface in java.sql">setObject</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setRef-int-java.sql.Ref-" title="class or interface in java.sql">setRef</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setRowId-int-java.sql.RowId-" title="class or interface in java.sql">setRowId</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setSQLXML-int-java.sql.SQLXML-" title="class or interface in java.sql">setSQLXML</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setUnicodeStream-int-java.io.InputStream-int-" title="class or interface in java.sql">setUnicodeStream</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#setURL-int-java.net.URL-" title="class or interface in java.sql">setURL</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.Statement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#addBatch-java.lang.String-" title="class or interface in java.sql">addBatch</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#cancel--" title="class or interface in java.sql">cancel</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#clearBatch--" title="class or interface in java.sql">clearBatch</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#clearWarnings--" title="class or interface in java.sql">clearWarnings</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#close--" title="class or interface in java.sql">close</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#closeOnCompletion--" title="class or interface in java.sql">closeOnCompletion</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#execute-java.lang.String-" title="class or interface in java.sql">execute</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#execute-java.lang.String-int-" title="class or interface in java.sql">execute</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#execute-java.lang.String-int:A-" title="class or interface in java.sql">execute</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#execute-java.lang.String-java.lang.String:A-" title="class or interface in java.sql">execute</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeBatch--" title="class or interface in java.sql">executeBatch</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeLargeBatch--" title="class or interface in java.sql">executeLargeBatch</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeLargeUpdate-java.lang.String-" title="class or interface in java.sql">executeLargeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeLargeUpdate-java.lang.String-int-" title="class or interface in java.sql">executeLargeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeLargeUpdate-java.lang.String-int:A-" title="class or interface in java.sql">executeLargeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeLargeUpdate-java.lang.String-java.lang.String:A-" title="class or interface in java.sql">executeLargeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeQuery-java.lang.String-" title="class or interface in java.sql">executeQuery</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeUpdate-java.lang.String-" title="class or interface in java.sql">executeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeUpdate-java.lang.String-int-" title="class or interface in java.sql">executeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeUpdate-java.lang.String-int:A-" title="class or interface in java.sql">executeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeUpdate-java.lang.String-java.lang.String:A-" title="class or interface in java.sql">executeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getConnection--" title="class or interface in java.sql">getConnection</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getFetchDirection--" title="class or interface in java.sql">getFetchDirection</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getFetchSize--" title="class or interface in java.sql">getFetchSize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getLargeMaxRows--" title="class or interface in java.sql">getLargeMaxRows</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getLargeUpdateCount--" title="class or interface in java.sql">getLargeUpdateCount</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getMaxFieldSize--" title="class or interface in java.sql">getMaxFieldSize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getMaxRows--" title="class or interface in java.sql">getMaxRows</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getMoreResults--" title="class or interface in java.sql">getMoreResults</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getMoreResults-int-" title="class or interface in java.sql">getMoreResults</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getQueryTimeout--" title="class or interface in java.sql">getQueryTimeout</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getResultSetConcurrency--" title="class or interface in java.sql">getResultSetConcurrency</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getResultSetHoldability--" title="class or interface in java.sql">getResultSetHoldability</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getResultSetType--" title="class or interface in java.sql">getResultSetType</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getUpdateCount--" title="class or interface in java.sql">getUpdateCount</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getWarnings--" title="class or interface in java.sql">getWarnings</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#isClosed--" title="class or interface in java.sql">isClosed</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#isCloseOnCompletion--" title="class or interface in java.sql">isCloseOnCompletion</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#isPoolable--" title="class or interface in java.sql">isPoolable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setCursorName-java.lang.String-" title="class or interface in java.sql">setCursorName</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setEscapeProcessing-boolean-" title="class or interface in java.sql">setEscapeProcessing</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setFetchDirection-int-" title="class or interface in java.sql">setFetchDirection</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setFetchSize-int-" title="class or interface in java.sql">setFetchSize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setLargeMaxRows-long-" title="class or interface in java.sql">setLargeMaxRows</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setMaxFieldSize-int-" title="class or interface in java.sql">setMaxFieldSize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setMaxRows-int-" title="class or interface in java.sql">setMaxRows</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setPoolable-boolean-" title="class or interface in java.sql">setPoolable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setQueryTimeout-int-" title="class or interface in java.sql">setQueryTimeout</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.Wrapper">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#isWrapperFor-java.lang.Class-" title="class or interface in java.sql">isWrapperFor</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#unwrap-java.lang.Class-" title="class or interface in java.sql">unwrap</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBCallableStatement-org.firebirdsql.gds.impl.GDSHelper-java.lang.String-int-int-int-org.firebirdsql.jdbc.StoredProcedureMetaData-org.firebirdsql.jdbc.FBObjectListener.StatementListener-org.firebirdsql.jdbc.FBObjectListener.BlobListener-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBCallableStatement</h4>
<pre>protected&nbsp;FBCallableStatement(<a href="../../../org/firebirdsql/gds/impl/GDSHelper.html" title="class in org.firebirdsql.gds.impl">GDSHelper</a>&nbsp;c,
                              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                              int&nbsp;rsType,
                              int&nbsp;rsConcurrency,
                              int&nbsp;rsHoldability,
                              <a href="../../../org/firebirdsql/jdbc/StoredProcedureMetaData.html" title="interface in org.firebirdsql.jdbc">StoredProcedureMetaData</a>&nbsp;storedProcMetaData,
                              <a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.StatementListener</a>&nbsp;statementListener,
                              <a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.BlobListener</a>&nbsp;blobListener)
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="registerOutParameter-int-java.sql.SQLType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerOutParameter</h4>
<pre>public&nbsp;void&nbsp;registerOutParameter(int&nbsp;parameterIndex,
                                 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;sqlType)
                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">
 <p>
 Implementation note: behaves as <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#registerOutParameter-int-int-"><code>AbstractCallableStatement.registerOutParameter(int, int)</code></a> called with
 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true#getVendorTypeNumber--" title="class or interface in java.sql"><code>SQLType.getVendorTypeNumber()</code></a>.
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="registerOutParameter-int-java.sql.SQLType-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerOutParameter</h4>
<pre>public&nbsp;void&nbsp;registerOutParameter(int&nbsp;parameterIndex,
                                 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;sqlType,
                                 int&nbsp;scale)
                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">
 <p>
 Implementation note: behaves as <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#registerOutParameter-int-int-int-"><code>AbstractCallableStatement.registerOutParameter(int, int, int)</code></a> called with
 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true#getVendorTypeNumber--" title="class or interface in java.sql"><code>SQLType.getVendorTypeNumber()</code></a>.
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="registerOutParameter-int-java.sql.SQLType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerOutParameter</h4>
<pre>public&nbsp;void&nbsp;registerOutParameter(int&nbsp;parameterIndex,
                                 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;sqlType,
                                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;typeName)
                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">
 <p>
 Implementation note: behaves as <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#registerOutParameter-int-int-java.lang.String-"><code>AbstractCallableStatement.registerOutParameter(int, int, String)</code></a> called with
 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true#getVendorTypeNumber--" title="class or interface in java.sql"><code>SQLType.getVendorTypeNumber()</code></a>.
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="registerOutParameter-java.lang.String-java.sql.SQLType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerOutParameter</h4>
<pre>public&nbsp;void&nbsp;registerOutParameter(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parameterName,
                                 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;sqlType)
                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">
 <p>
 Implementation note: behaves as <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#registerOutParameter-java.lang.String-int-"><code>AbstractCallableStatement.registerOutParameter(String, int)</code></a> called with
 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true#getVendorTypeNumber--" title="class or interface in java.sql"><code>SQLType.getVendorTypeNumber()</code></a>.
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="registerOutParameter-java.lang.String-java.sql.SQLType-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerOutParameter</h4>
<pre>public&nbsp;void&nbsp;registerOutParameter(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parameterName,
                                 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;sqlType,
                                 int&nbsp;scale)
                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">
 <p>
 Implementation note: behaves as <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#registerOutParameter-java.lang.String-int-int-"><code>AbstractCallableStatement.registerOutParameter(String, int, int)</code></a> called with
 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true#getVendorTypeNumber--" title="class or interface in java.sql"><code>SQLType.getVendorTypeNumber()</code></a>.
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="registerOutParameter-java.lang.String-java.sql.SQLType-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>registerOutParameter</h4>
<pre>public&nbsp;void&nbsp;registerOutParameter(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parameterName,
                                 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>&nbsp;sqlType,
                                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;typeName)
                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">
 <p>
 Implementation note: behaves as <a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html#registerOutParameter-java.lang.String-int-java.lang.String-"><code>AbstractCallableStatement.registerOutParameter(String, int, String)</code></a> called with
 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true#getVendorTypeNumber--" title="class or interface in java.sql"><code>SQLType.getVendorTypeNumber()</code></a>.
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FBCachedBlob.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FBClob.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FBCallableStatement.html" target="_top">Frames</a></li>
<li><a href="FBCallableStatement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.firebirdsql.jdbc.FBStatement">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.jdbc.AbstractCallableStatement">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
